

# Struct awgn\_state\_t



[**ClassList**](annotated.md) **>** [**awgn\_state\_t**](structawgn__state__t.md)





* `#include <awgn_core.h>`





















## Public Attributes

| Type | Name |
| ---: | :--- |
|  float | [**amplitude**](#variable-amplitude)  <br> |
|  uint64\_t | [**s**](#variable-s)  <br> |
|  uint64\_t | [**seed**](#variable-seed)  <br> |
|  uint64\_t | [**vs**](#variable-vs)  <br> |












































## Public Attributes Documentation




### variable amplitude 

```C++
float awgn_state_t::amplitude;
```




<hr>



### variable s 

```C++
uint64_t awgn_state_t::s[4];
```




<hr>



### variable seed 

```C++
uint64_t awgn_state_t::seed;
```




<hr>



### variable vs 

```C++
uint64_t awgn_state_t::vs[4][8];
```




<hr>

------------------------------
The documentation for this class was generated from the following file `native/inc/awgn/awgn_core.h`

